org.eclipse.microprofile.context.tck.contexts.buffer.spi

## Class BufferContextSnapshot

- java.lang.Object
- - org.eclipse.microprofile.context.tck.contexts.buffer.spi.BufferContextSnapshot

All Implemented Interfaces:
  ThreadContextSnapshot

    public class BufferContextSnapshot
    extends Object
    implements ThreadContextSnapshot

Represents a saved 'buffer' instance.

### Method Summary

All Methods Instance Methods Concrete Methods
`ThreadContextController` `begin()` Apply the requested buffer context to the current thread, first storing a copying of the buffer that was previously associated with the thread, to later be restored via the returned ThreadContextController.
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### begin

    public ThreadContextController begin()

Apply the requested buffer context to the current thread, first storing a copying of the buffer that was previously associated with the thread, to later be restored via the returned ThreadContextController.

Specified by:
  `begin` in interface `ThreadContextSnapshot`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`